﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.IO;
using System.Globalization;

namespace Data
{
    /// <summary>
    /// TATO TŘÍDA JE JIŽ NEPOUŽÍVÁ
    /// Třída pro načtení uložených dat ze souboru
    /// </summary>
    public class DataSaverOld
    {
        //reader
        StreamWriter sw;

        /// <summary>
        /// Metoda načte uložené osoby (Person)
        /// <paramref name="file">String file</paramref>
        /// <paramref name="invoices">people</paramref>
        /// <param name="file">zdrojový soubor</param>
        /// <param name="invoices">seznam osob</param>
        /// </summary>
        public void savePeople(String file, List<Person> people)
        {
            try
            {
                sw = new StreamWriter(file);
                Console.WriteLine("Ukládá dat do souboru {0}", file);
                foreach (Person p in people)
                {
                    sw.WriteLine(p.toSave());
                }
                Console.WriteLine("Data byla uložena.");
            }
            catch (Exception e)
            {
                Console.WriteLine("Soubor {0} nenalezen nebo do něj nelze zapisovat.", file);
                Console.WriteLine(e.Message);
            }
            sw.Close();
        }

        /// <summary>
        /// Metoda uloží položky (Item)
        /// <paramref name="file">String file</paramref>
        /// <paramref name="file">String file</paramref>
        /// <paramref name="invoices">items</paramref>
        /// <param name="file">zdrojový soubor</param>
        /// <param name="invoices">seznam položek</param>
        /// </summary>
        public void saveItems(String file, List<Item> items)
        {
            try
            {
                sw = new StreamWriter(file);
                Console.WriteLine("Ukládá dat do souboru {0}", file);
                foreach (Item item in items)
                {
                    sw.WriteLine(item.toSave());
                }
                Console.WriteLine("Data byla uložena.");
            }
            catch (Exception e)
            {
                Console.WriteLine("Soubor {0} nenalezen nebo do něj nelze zapisovat.", file);
                Console.WriteLine(e.Message);
            }
            sw.Close();
        }

        /// <summary>
        /// Metoda uloží faktury (Invoice). 
        /// A to jak přijaté tak i vydané
        /// <paramref name="file">String file</paramref>
        /// <paramref name="invoices">invoices</paramref>
        /// <param name="file">zdrojový soubor</param>
        /// <param name="invoices">seznam faktur</param>
        /// </summary>
        public void saveInvoices(String file, List<Invoice> invoices)
        {
            try
            {
                sw = new StreamWriter(file);
                Console.WriteLine("Ukládá dat do souboru {0}", file);
                foreach (Invoice inv in invoices)
                {
                    sw.WriteLine(inv.toSave());
                }
                Console.WriteLine("Data byla uložena.");
            }
            catch (Exception e)
            {
                Console.WriteLine("Soubor {0} nenalezen nebo do něj nelze zapisovat.", file);
                Console.WriteLine(e.Message);
            }
            sw.Close();
        }
    }
}
